> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取事实

> 返回单个事实的内容和元数据

```
GET /openapi/memorylake/api/v3/workspaces/{workspaceId}/projects/{projectId}/memories/facts/{factId}
```

返回项目中单个事实的内容和元数据。

<Note>
  **所需权限：** `project:mem_read`
</Note>

### 路径参数

<ParamField path="workspaceId" type="string" required>
  工作空间 ID
</ParamField>

<ParamField path="projectId" type="string" required>
  项目 ID
</ParamField>

<ParamField path="factId" type="string" required>
  事实 ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws_abc123def456/projects/proj_a1b2c3d4e5f6/memories/facts/fact_8f3a1b2c4d5e' \
    -H 'Authorization: Bearer sk_xxxxxx'
  ```
</RequestExample>

### 响应

<ResponseField name="data" type="object">
  <Expandable title="事实对象">
    <ResponseField name="id" type="string">事实唯一标识符</ResponseField>
    <ResponseField name="fact" type="string">事实文本</ResponseField>
    <ResponseField name="metadata" type="object">附加到事实的任意键值元数据</ResponseField>
    <ResponseField name="expired" type="boolean">事实是否已被遗忘</ResponseField>
    <ResponseField name="score" type="number">相关性评分</ResponseField>
    <ResponseField name="expiration_date" type="string|null">计划的过期日期，如果事实不会过期则为 `null`</ResponseField>
    <ResponseField name="created_at" type="string">创建时间戳</ResponseField>
    <ResponseField name="updated_at" type="string">最后更新时间戳</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {
      "id": "fact_8f3a1b2c4d5e",
      "fact": "User prefers dark mode in all applications",
      "metadata": {
        "category": "preferences",
        "confidence": "high"
      },
      "expired": false,
      "score": 0.95,
      "expiration_date": null,
      "created_at": "2025-06-10T14:30:00Z",
      "updated_at": "2025-06-10T14:30:00Z"
    }
  }
  ```
</ResponseExample>
